function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { handleKeyPress } from "./utils/keyUtils";
import { ARROW_LEFT, ARROW_RIGHT, ARROW_UP, ARROW_DOWN } from './objects/commonCodes.js';

var Keypress = function (_PureComponent) {
    _inherits(Keypress, _PureComponent);

    function Keypress() {
        var _temp, _this, _ret;

        _classCallCheck(this, Keypress);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, _PureComponent.call.apply(_PureComponent, [this].concat(args))), _this), _this.onKeyPress = handleKeyPress(_this.props.onKeys, _this.props.onKeyPress), _temp), _possibleConstructorReturn(_this, _ret);
    }

    Keypress.prototype.componentDidMount = function componentDidMount() {
        window.addEventListener('keydown', this.onKeyPress);
    };

    Keypress.prototype.componentWillUnmount = function componentWillUnmount() {
        window.removeEventListener('keydown', this.onKeyPress);
    };

    Keypress.prototype.render = function render() {
        return React.createElement('div', null);
    };

    return Keypress;
}(PureComponent);

Keypress.propTypes = process.env.NODE_ENV !== "production" ? {
    onKeys: PropTypes.arrayOf(PropTypes.number).isRequired,
    onKeyPress: PropTypes.func.isRequired
} : {};

export default Keypress;
export { ARROW_LEFT, ARROW_RIGHT, ARROW_UP, ARROW_DOWN };