'use strict';

exports.__esModule = true;
exports.ARROW_DOWN = exports.ARROW_UP = exports.ARROW_RIGHT = exports.ARROW_LEFT = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _keyUtils = require('./utils/keyUtils');

var _commonCodes = require('./objects/commonCodes.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Keypress = function (_PureComponent) {
    _inherits(Keypress, _PureComponent);

    function Keypress() {
        var _temp, _this, _ret;

        _classCallCheck(this, Keypress);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, _PureComponent.call.apply(_PureComponent, [this].concat(args))), _this), _this.onKeyPress = (0, _keyUtils.handleKeyPress)(_this.props.onKeys, _this.props.onKeyPress), _temp), _possibleConstructorReturn(_this, _ret);
    }

    Keypress.prototype.componentDidMount = function componentDidMount() {
        window.addEventListener('keydown', this.onKeyPress);
    };

    Keypress.prototype.componentWillUnmount = function componentWillUnmount() {
        window.removeEventListener('keydown', this.onKeyPress);
    };

    Keypress.prototype.render = function render() {
        return _react2.default.createElement('div', null);
    };

    return Keypress;
}(_react.PureComponent);

Keypress.propTypes = process.env.NODE_ENV !== "production" ? {
    onKeys: _propTypes2.default.arrayOf(_propTypes2.default.number).isRequired,
    onKeyPress: _propTypes2.default.func.isRequired
} : {};

exports.default = Keypress;
exports.ARROW_LEFT = _commonCodes.ARROW_LEFT;
exports.ARROW_RIGHT = _commonCodes.ARROW_RIGHT;
exports.ARROW_UP = _commonCodes.ARROW_UP;
exports.ARROW_DOWN = _commonCodes.ARROW_DOWN;